# Timer_Heap_T.h File Reference

`#include "ace/Timer_Queue_T.h"`
`#include "ace/Free_List.h"`
`#include "ace/Unbounded_Set.h"`
`#include "ace/Timer_Heap_T.cpp"`

Include dependency graph for Timer_Heap_T.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >
| Iterates over an <ace_timer_heap_t>. More...
class | ACE_Timer_Heap_T< TYPE, FUNCTOR, ACE_LOCK >
| Provides a very fast and predictable timer implementation. More...

## Detailed Description

Id
  Timer_Heap_T.h,v 4.50 2006/02/10 10:22:24 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>